Xerces-C++: DOMDocumentType Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DOMDocumentType Class Reference

Each `DOMDocument` has a `doctype` attribute whose value is either `null` or a `DOMDocumentType` object. More...

Inheritance diagram for DOMDocumentType:

List of all members.

## Public Member Functions
Destructor
virtual | ~DOMDocumentType ()
| Destructor.
Functions introduced in DOM Level 1
virtual const XMLCh * | getName () const =0
| The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
virtual DOMNamedNodeMap * | getEntities () const =0
| A `DOMNamedNodeMap` containing the general entities, both external and internal, declared in the DTD.
virtual DOMNamedNodeMap * | getNotations () const =0
| A `DOMNamedNodeMap` containing the notations declared in the DTD.
Functions introduced in DOM Level 2.
virtual const XMLCh * | getPublicId () const =0
| Get the public identifier of the external subset.
virtual const XMLCh * | getSystemId () const =0
| Get the system identifier of the external subset.
virtual const XMLCh * | getInternalSubset () const =0
| The internal subset as a string, or `null` if there is none.
## Protected Member Functions
Hidden constructors
| DOMDocumentType ()

## Detailed Description

Each `DOMDocument` has a `doctype` attribute whose value is either `null` or a `DOMDocumentType` object.

The `DOMDocumentType` interface in the DOM Core provides an interface to the list of entities that are defined for the document, and little else because the effect of namespaces and the various XML schema efforts on DTD representation are not clearly understood as of this writing.

The DOM Level 2 doesn't support editing `DOMDocumentType` nodes.

See also the Document Object Model (DOM) Level 2 Core Specification.

Since:
  DOM Level 1

## Constructor & Destructor Documentation

DOMDocumentType::DOMDocumentType | ( |  | ) | `[protected]`

virtual DOMDocumentType::~DOMDocumentType | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual const XMLCh* DOMDocumentType::getName | ( |  | ) | const`[pure virtual]`

The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.

Since:
  DOM Level 1

virtual DOMNamedNodeMap* DOMDocumentType::getEntities | ( |  | ) | const`[pure virtual]`

A `DOMNamedNodeMap` containing the general entities, both external and internal, declared in the DTD.

Parameter entities are not contained. Duplicates are discarded. For example in: `<!DOCTYPE
ex SYSTEM "ex.dtd" [ <!ENTITY foo "foo"> <!ENTITY bar
"bar"> <!ENTITY bar "bar2"> <!ENTITY % baz "baz">
]> <ex/>
` the interface provides access to `foo` and the first declaration of `bar` but not the second declaration of `bar` or `baz`. Every node in this map also implements the `DOMEntity` interface.
The DOM Level 2 does not support editing entities, therefore `entities` cannot be altered in any way.

Since:
  DOM Level 1

virtual DOMNamedNodeMap* DOMDocumentType::getNotations | ( |  | ) | const`[pure virtual]`

A `DOMNamedNodeMap` containing the notations declared in the DTD.

Duplicates are discarded. Every node in this map also implements the `DOMNotation` interface.
The DOM Level 2 does not support editing notations, therefore `notations` cannot be altered in any way.

Since:
  DOM Level 1

virtual const XMLCh* DOMDocumentType::getPublicId | ( |  | ) | const`[pure virtual]`

Get the public identifier of the external subset.

Returns:
  The public identifier of the external subset.

Since:
  DOM Level 2

virtual const XMLCh* DOMDocumentType::getSystemId | ( |  | ) | const`[pure virtual]`

Get the system identifier of the external subset.

Returns:
  The system identifier of the external subset.

Since:
  DOM Level 2

virtual const XMLCh* DOMDocumentType::getInternalSubset | ( |  | ) | const`[pure virtual]`

The internal subset as a string, or `null` if there is none.

This is does not contain the delimiting square brackets.The actual content returned depends on how much information is available to the implementation. This may vary depending on various parameters, including the XML processor used to build the document.

Returns:
  The internal subset as a string.

Since:
  DOM Level 2

The documentation for this class was generated from the following file:

- DOMDocumentType.hpp